beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kenneth Knowles (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BEAM-2375) upgrade beam-version to 2.0.0
Date Wed, 07 Jun 2017 02:54:18 GMT

    [ https://issues.apache.org/jira/browse/BEAM-2375?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16040056#comment-16040056
] 

Kenneth Knowles commented on BEAM-2375:
---------------------------------------

I think during development, you don't need to use versions to avoid the impact of the changes
in the master branch. Instead, merges from `master` to `DSL_SQL` are the natural place to
handle those impacts. They should be very minor, for a DSL, now that we have a stable release.

In all cases, you need to inherit from the parent pom and have dependencies for the same version
or you can have confusing breakage. You can do this easily by only setting the parent pom
version and otherwise leaving all dependency versions to be managed by the root.

> upgrade beam-version to 2.0.0
> -----------------------------
>
>                 Key: BEAM-2375
>                 URL: https://issues.apache.org/jira/browse/BEAM-2375
>             Project: Beam
>          Issue Type: Bug
>          Components: dsl-sql
>            Reporter: James Xu
>            Assignee: Jean-Baptiste Onofré
>




--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message